<?php
ini_set('display_errors', 0);
ini_set('display_startup_errors', 0);
error_reporting(0);
require_once '../cms/includes/inicio.php';

$nome = addslashes(trim(@$_POST['nome']));
$sobrenome = addslashes(trim(@$_POST['sobrenome']));
$email = addslashes(trim(@$_POST['email']));
$cpf = addslashes(trim(@$_POST['cpf']));
$tipo = addslashes(trim(@$_POST['tipo_dado']));

if (!empty($nome) && !empty($email) && !empty($cpf) && !empty($sobrenome)) {
    $dados = array(
        'nome' => $nome,
        'sobrenome' => $sobrenome,
        'email' => $email,
        'cpf' => $cpf,
        'tipo' => $tipo,
    );

    $msgBody = "Nome: ".$nome."<br />
                Sobrenome: ".$sobrenome."<br />
                Email: ".$email."<br />
                Cpf: ".$cpf."<br />
                Assunto: ".$tipo."<br />";

    //$para = 'gerencia@edmarvictor.com.br | angeiras@cappen.com';
    $para = 'atendimento@edmarvictor.com.br | levremoto01@gmail.com';

    $enviarEmail = Email::enviaForm($para, 'Contato Edmar Victor - ' . $tipo, $msgBody);

    if ($enviarEmail) {
        $retorno = array('status' => true, 'msg' => htmlentities('Enviado com sucesso.'));
    } else {
        $retorno = array('status' => false, 'msg' => htmlentities('Não foi possível realizar essa a operação. Tente novamente mais tarde.'));
    }
} else {
    $retorno = array('status' => false, 'msg' => htmlentities('Preencha os campos necessários.'));
}

header('Content-Type: application/json; charset=utf-8');
echo html_entity_decode(json_encode($retorno));
?>